import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { PatientOrderByWithRelationInputObjectSchema as PatientOrderByWithRelationInputObjectSchema } from './PatientOrderByWithRelationInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  patientId: SortOrderSchema.optional(),
  filename: SortOrderSchema.optional(),
  originalName: SortOrderSchema.optional(),
  mimeType: SortOrderSchema.optional(),
  fileSize: SortOrderSchema.optional(),
  filePath: SortOrderSchema.optional(),
  uploadedAt: SortOrderSchema.optional(),
  updatedAt: SortOrderSchema.optional(),
  patient: z.lazy(() => PatientOrderByWithRelationInputObjectSchema).optional()
}).strict();
export const PatientDocumentOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.PatientDocumentOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentOrderByWithRelationInput>;
export const PatientDocumentOrderByWithRelationInputObjectZodSchema = makeSchema();
